Subject: RE: vim oddities (this message is somewhat verbose)
From: [email-masked] (Kevin Schnitzius)

25 Jan 1999 00:44:35 -0800
Message-ID: <179AA48D1741D211821700805FFE241873CB35.cygnus.gnu-win32@HQMAIL02>
To: "'Christopher Murray'" <[email-masked]>, [email-masked]

> -----Original Message-----
> From: Christopher Murray [mailto:[email-masked]]
> Sent: Saturday, January 23, 1999 4:21 PM
> To: [email-masked]
> Subject: vim oddities (this message is somewhat verbose)
> 
> 
> Hi there,
> 
> I have 2 vim oddities to report for the port that I downloaded from
>
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin32/porters/Hirmke_Mich
ael/B20/
> (They also happen when I build them myself)
> 
> My typical mode of operations is using vim in a console mode within a tcsh
> window.  
> 
> 1)  When I start up vim in console mode, a WINNT dialog box pops up
prompting me 
> that I am not dialed in to my ISP and would I like dial in to establish
the 
> connection.  I would expect this sort of behavior from Netscape or Eudora
if I 
> tried to open them up without being dialed in first, but vim????  I
believe there 
> is an option in NT somewhere that will turn this behavior off, but the
point is, I
> shouldn't have to.

This may be happening because some path is resolving to a UNC name which
includes a
remote machine.  For example, if you've set vim to look for a
$HOME/vim/vimrc file,
and your $HOME is /, then there is the potential that this may become a UNC
path of
\\vim\vimrc and WinNT may go out on the network to look for it.  If you are
familiar
with NetMon, you can track this down quickly.
 
> 2)  When I try to edit text files in console mode that were generated by
Windows 
> Programs,  I get those stupid ^M's at the end of the line.  (When using
the GUI 
> version of vim, the problem disappears).  I have tried all combinations of
setting 
> binary mounts & the binmode flag (also, I always set variables via WINNT
system 
> properties, then spawn the shell, then vim, this way I am sure the
environment 
> variables are properly inherited).  At any rate, nothing has any effect.

Try
export EXINIT="fileformat=dos" or
export EXINIT="ff=unix"
depending on your need.  At some point, vim is supposed to have an automatic
file 
format detector built in, but version I have has the hooks in but this
feature is 
not yet implemented.

Kevin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".